<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditInventariosTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditInventariosLabel_inventarioNombre}" for="inventarioNombre" />
                    <h:inputText id="inventarioNombre" value="#{inventariosController.selected.inventarioNombre}" title="#{bundle.EditInventariosTitle_inventarioNombre}" >
                    <p:ajax event="keyup" listener="#{inventariosController.selected.setInventarioNombreNuevo(inventariosController.selected.inventarioNombre)}"/>
                    </h:inputText>
                    <h:outputLabel value="#{bundle.EditInventariosLabel_inventarioCod}" for="inventarioCod" />
                    <h:inputText id="inventarioCod" value="#{inventariosController.selected.inventarioCod}" title="#{bundle.EditInventariosTitle_inventarioCod}" >
                        <p:ajax event="keyup" listener="#{inventariosController.selected.setInventarioCodNuevo(inventariosController.selected.inventarioCod)}"/>
                    </h:inputText>
                </h:panelGrid>
                <h:commandButton action="#{inventariosController.update}" value="#{bundle.EditInventariosSaveLink}" immediate="true" >
                    <p:ajax update=":tabViewAdmin:inventariosPanel:formInventarioList:tablaInventario" 
                            process="@this" oncomplete="PF('dlgInventario').hide();"/>
                </h:commandButton>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
